Subject: Re: bug#74736: [PATCH v2 0/1] Add Request-For-Comment process.

From: Ludovic Courtès <[email-masked]>
Date: Sat, 04 Jan 2025 18:28:05 +0100

Noé Lopez <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> OK.  As I wrote in my reply to Simon, my thought here was that “voting”*
>> would give a clear and unambiguous way, not subject to interpretation,
>> to decide whether the RFC is withdrawn: it’s easier to add numbers than
>> to determine whether “a positive consensus is reached” (current
>> wording).
>>
>
> This is why an ACK/NACK system works great in my opinion: you send “ACK”
> or “NACK” litteraly so your opinion is clear.  And you can just count
> the number of each, without implying a vote.

OK, got it, we agree on this.

>> But I don’t know, I guess that’s an “I will live with it” from me on
>> this one.  :-)
>>
>> Two other issue I raised was the quorum: Simon proposed half of the
>> committers; I propose 25% of team members.  Thoughts?

[...]

> Half of the committers is 25 people (based on .guix-authorizations), and
> a quarter of the team members is 10.  Personnally, I have trouble
> imagining that this amount of people will come to send a mail to the
> RFC.

So are you saying you’d want no quorum at all?  (Your revision still
reads “50% committers”.)

>> Anyway, I think we should aim for finalization of v1 of the RFC process
>> by, say, Jan. 15th.  I will dedicate some time to tweak the wording, and
>> then we can call it a thing.
>>
>
> Good idea!  I’ll be waiting for your v5 then.  And then I can bring
> back the RFC template.

OK, will do in the coming days.

>> (A bit sad that it’s just the three of us talking, we wouldn’t have the
>> quorum here…)
>>
>
> Agreed.
>
> Lastly, do we want to move the RFCs to a separate git repository?

I think so.  I’ll ask for it on Savannah.

Thanks,
Ludo’.